diff options
author | EuAndreh <eu@euandre.org> | 2023-03-13 14:25:15 -0300 |
---|---|---|
committer | EuAndreh <eu@euandre.org> | 2023-03-13 14:25:15 -0300 |
commit | 862271d704f1d096a26e0b3ff147b70ae94a64e3 (patch) | |
tree | cef7a195e779602beb9e951e6b7dbfabc69d5321 /aux/workflow/assert-changelog.sh | |
parent | git mv src/xyz/euandreh/* src/org/euandre/ (diff) | |
download | package-repository-862271d704f1d096a26e0b3ff147b70ae94a64e3.tar.gz package-repository-862271d704f1d096a26e0b3ff147b70ae94a64e3.tar.xz |
rm -rf aux/ po/
Diffstat (limited to '')
-rwxr-xr-x | aux/workflow/assert-changelog.sh | 66 |
1 files changed, 0 insertions, 66 deletions
diff --git a/aux/workflow/assert-changelog.sh b/aux/workflow/assert-changelog.sh deleted file mode 100755 index c58a600..0000000 --- a/aux/workflow/assert-changelog.sh +++ /dev/null @@ -1,66 +0,0 @@ -#!/bin/sh -set -eu - -TLD="$(cat aux/tld.txt)" -PROJECT_UC= -while getopts 'n:N:' flag; do - case "$flag" in - n) - PROJECT="$OPTARG" - ;; - N) - PROJECT_UC="$OPTARG" - ;; - *) - exit 2 - ;; - esac -done -shift $((OPTIND - 1)) - -assert_arg() { - if [ -z "$1" ]; then - echo "Missing $2" >&2 - exit 2 - fi -} - -assert_arg "${PROJECT:-}" '-n PROJECT' - -if [ -z "${PROJECT_UC:-}" ]; then - PROJECT_UC="$PROJECT" -fi - -HOMEPAGE_LINK="Changelog for [$PROJECT_UC](https://$TLD/$PROJECT/en/)." - -if ! grep -qF "$HOMEPAGE_LINK" CHANGELOG.md; then - echo "Missing link to homepage in CHANGELOG.md:" >&2 - echo "$HOMEPAGE_LINK" - exit 1 -fi - -assert() { - DATE="$1" - VVERSION="$2" - VERSION="${2#v}" - CHANGELOG_ENTRY="$(printf \ - '# [%s](https://euandreh.xyz/%s.git/commit/?id=%s) - %s' \ - "$VERSION" "$PROJECT" "$VVERSION" "$DATE")" - if ! grep -qF "$CHANGELOG_ENTRY" CHANGELOG.md; then - echo "Missing '$CHANGELOG_ENTRY' entry from CHANGELOG.md" >&2 - exit 1 - fi -} - -if [ -e .git ]; then - for VVERSION in $(git tag); do - DATE="$(git log -1 --format=%cd --date=short "$VVERSION")" - assert "$DATE" "$VVERSION" - done -fi - -# "$@" represents a list of tags to be also included in the verification. -for VVERSION in "$@"; do - DATE="$(date '+%Y-%m-%d')" - assert "$DATE" "$VVERSION" -done |